ru.bitel.bgbilling.modules.email.server.event

## Class AccountUpdateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.email.server.event.AccountUpdateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AccountUpdateEvent
      extends QueueEvent

  Асинхронное событие - аккаунт изменен.
  Событие генерируется после изменения аккаунта.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccountUpdateEvent()`
    `` | `AccountUpdateEvent(int userId, int moduleId, int contractId, java.lang.String mail)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMail()` Возвращает e-mail
    `int` | `getTypeId()` Использовать проверку instanceof.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountUpdateEvent

          protected AccountUpdateEvent()

    - #### AccountUpdateEvent

          public AccountUpdateEvent(int userId,
                                    int moduleId,
                                    int contractId,
                                    java.lang.String mail)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `moduleId` - - код модуля
        `contractId` - - код договора
        `mail` - - email

  - ### Method Detail

    - #### getTypeId

          public int getTypeId()

      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns:

    - #### getMail

          public java.lang.String getMail()

      Возвращает e-mail
      Returns:
        mail - строка e-mail